<?php
/**
* JoomBlog Latest Post Module for Joomla
* @version $Id: mod_jb_latestposts.php 2011-03-16 17:30:15
* @package JoomBlog
* @subpackage mod_jb_latestposts.php
* @author JoomPlace Team
* @Copyright Copyright (C) JoomPlace, www.joomplace.com
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');

if(!defined('JB_COM_PATH'))
	require_once( JPATH_ROOT.DS.'components'.DS.'com_joomblog'.DS.'defines.joomblog.php');

require_once(JPATH_ROOT.DS.'administrator'.DS.'components'.DS.'com_joomblog'.DS.'config.joomblog.php');
require_once(JB_COM_PATH.DS.'libraries'.DS.'datamanager.php');
require_once(JB_COM_PATH.DS.'functions.joomblog.php');

require_once(JPATH_SITE.DS.'components'.DS.'com_joomblog'.DS.'router.php');
require_once(dirname(__FILE__).DS.'helper.php');

$postedByDisplay = $params->get('latestEntriesPostedBy');
$showAuthor = $params->get('showAuthor',1);
$titleMaxLength = $params->get('titleMaxLength', 20);

if (!is_numeric($titleMaxLength) or $titleMaxLength == "0")
  $titleMaxLength = 20;

$jbItemid	= 1;
$jbItemid = jbGetItemID();

$list = modJbLatestPostsHelper::getList($params);

if($list){
	require(JModuleHelper::getLayoutPath('mod_jb_latestposts'));
}


